//---------------------------------------------------------------------------

#include <clx.h>
#pragma hdrstop

#include "ToDoListFrm.h"
#include "RemarksFrm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TdbDataSet"
#pragma link "TdbEnumValueSet"
#pragma link "TdbQuery"
#pragma link "TdbLicense"
#pragma resource "*.xfm"
TToDoListForm *ToDoListForm;
//---------------------------------------------------------------------------
__fastcall TToDoListForm::TToDoListForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TToDoListForm::RemarksButtonClick(TObject *Sender)
{
	RemarksForm->Show();	
}
//---------------------------------------------------------------------------
void __fastcall TToDoListForm::ViewComboBoxChange(TObject *Sender)
{
	switch (ViewComboBox->ItemIndex) {
  	case 1: GridQuery->SQL->Text = "SELECT * FROM ToDo ORDER BY Importance"; break;
    case 2: GridQuery->SQL->Text = "SELECT * FROM ToDo ORDER BY Deadline DESC"; break;
    case 3: GridQuery->SQL->Text = "SELECT * FROM ToDo ORDER BY Description"; break;
    case 4: GridQuery->SQL->Text = "SELECT * FROM ToDo WHERE State = \"New\" ORDER BY Importance"; break;
    case 5: GridQuery->SQL->Text = "SELECT * FROM ToDo WHERE State = \"New\" ORDER BY Deadline DESC, Importance"; break;
    default: GridQuery->SQL->Text = "SELECT * FROM ToDo";
  }
  GridQuery->Open();
  if (GridQuery->CanModify) Label2->Caption = "Editable";
  else Label2->Caption = "Read Only";
}
//---------------------------------------------------------------------------

void __fastcall TToDoListForm::FormCreate(TObject *Sender)
{
	GridQuery->DatabaseName = ExtractFilePath(Application->ExeName);
  GridQuery->Open();
}
//---------------------------------------------------------------------------

