{*******************************************************************************
	TdbMessages
	Meldungen von TurboDB
	Copyright (c) 2002 by dataWeb GmbH, Aicha, Germany. All rights reserved.

	Bearbeitungsstand:
	o Keine globalen variablen
	v Keine Compiler-Warnungen
	v Keine Compiler-Hinweise
*******************************************************************************}

unit TdbMessages;

interface

{$IFNDEF ENGLISH}
{$IFNDEF GERMAN}
{$DEFINE ENGLISH}
{$ENDIF}
{$ENDIF}

resourcestring

{*******************************************************************************
  TurboDB Engine Error Messages
*******************************************************************************}

	{$ifdef ENGLISH}
  SUnknownErrorTdbEng = 'Unknown error';
  {$endif}
  {$ifdef GERMAN}
  SUnknownErrorTdbEng = 'Unbekannter Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SNoError = 'No error';
  {$endif}
  {$ifdef GERMAN}
  SNoError = 'Kein Fehler';
  {$endif}

	{$ifdef ENGLISH}
  SOutOfMemory = 'Out of memory';
  {$endif}
  {$ifdef GERMAN}
  SOutOfMemory = 'Zuwenig Speicher';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenModule = 'Cannot open module';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenModule = 'Modul kann nicht geffnet werden';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidRecord = 'Record is invalid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidRecord = 'Ungltiger Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidExpression = 'Invalid expression';
  {$endif}
  {$ifdef GERMAN}
  SInvalidExpression = 'Ungltiger Ausdruck';
  {$endif}

	{$ifdef ENGLISH}
  SUnknownColumn = 'Unknown table column';
  {$endif}
  {$ifdef GERMAN}
  SUnknownColumn = 'Unbekannte Tabellenspalte';
  {$endif}

  {$ifdef ENGLISH}
  SRecordDoesntExist = 'The record does not exist';
  {$endif}
  {$ifdef GERMAN}
  SRecordDoesntExist = 'Datensatz existiert nicht';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidPassword = 'Invalid password';
  {$endif}
  {$ifdef GERMAN}
  SInvalidPassword = 'Ungltiges Passwort';
  {$endif}

  {$ifdef ENGLISH}
  SCouldNotCreateRelation = 'Could not create relation';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotCreateRelation = 'Relation kann nicht erzeugt werden';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidAccess2 = 'Invalid access';
  {$endif}
  {$ifdef GERMAN}
  SInvalidAccess2 = 'Ungltiger Zugriff';
  {$endif}

  {$ifdef ENGLISH}
	SIndexDoesNotExist = 'The index does not exist';
	{$endif}
	{$ifdef GERMAN}
	SIndexDoesNotExist = 'Der Index existiert nicht';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidRelationHandle = 'Invalid relation handle';
  {$endif}
  {$ifdef GERMAN}
  SInvalidRelationHandle = 'Ungltiger Relation Handle';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidIndexDefinition = 'Invalid index definition';
  {$endif}
  {$ifdef GERMAN}
  SInvalidIndexDefinition = 'Ungltige Index Definition';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidContextForFunction = 'Function can not be called in this context';
  {$endif}
  {$ifdef GERMAN}
  SInvalidContextForFunction = 'Die Funktion kann in diesem Kontext nicht aufgerufen werden';
  {$endif}

  {$ifdef ENGLISH}
  SCouldNotDeleteRecord = 'Could not delete record';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotDeleteRecord = 'Kann Datensatz nicht lschen';
  {$endif}

	{$ifdef ENGLISH}
  SRestructuringFailed = 'Restructuring relation failed';
  {$endif}
  {$ifdef GERMAN}
  SRestructuringFailed = 'Restrukturierung der Relation fehlgeschlagen';
  {$endif}

  {$ifdef ENGLISH}
  SRelationHasNoRecordId = 'Relation does not have a record id column';
  {$endif}
  {$ifdef GERMAN}
  SRelationHasNoRecordId = 'Die Relation verfgt ber keine RecordId Spalte';
  {$endif}

	{$ifdef ENGLISH}
  SIncorrectTypeForColumn = 'Column has not the correct data type';
  {$endif}
  {$ifdef GERMAN}
  SIncorrectTypeForColumn = 'Spalte hat nicht den korrekten Datentyp';
  {$endif}

  {$ifdef ENGLISH}
  SCouldNotWriteRecord = 'Could not write record to table';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotWriteRecord = 'Kann Datensatz nicht in die Tabelle schreiben';
  {$endif}

	{$ifdef ENGLISH}
  SKeyViolation = 'Record hurts index uniqueness';
  {$endif}
  {$ifdef GERMAN}
  SKeyViolation = 'Datensatz verstt gegen eindeutigen index';
  {$endif}

  {$ifdef ENGLISH}
  SIndexInUse2 = 'The index is still in use';
  {$endif}
  {$ifdef GERMAN}
  SIndexInUse2 = 'Der Index wird noch benutzt';
  {$endif}

	{$ifdef ENGLISH}
  SRelationIsReadOnly = 'The database table is read-only';
  {$endif}
  {$ifdef GERMAN}
  SRelationIsReadOnly = 'Die Datenbank-Tabelle ist nur zum Lesen geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SSharingConflict = 'Table access not possible at this time';
  {$endif}
  {$ifdef GERMAN}
  SSharingConflict = 'Auf die Tabelle kann im Moment nicht zugegriffen werden';
  {$endif}

	{$ifdef ENGLISH}
  SIndexNotAvailable = 'Index is not available';
  {$endif}
  {$ifdef GERMAN}
  SIndexNotAvailable = 'Index nicht verfgbar';
  {$endif}

  {$ifdef ENGLISH}
  SRecordIsNull = 'Record is null';
  {$endif}
  {$ifdef GERMAN}
  SRecordIsNull = 'Datensatz ist Null';
  {$endif}

	{$ifdef ENGLISH}
  SRecordUnchanged = 'Record is unchanged';
  {$endif}
  {$ifdef GERMAN}
  SRecordUnchanged = 'Der Datensatz wurde nicht gendert';
  {$endif}

  {$ifdef ENGLISH}
  SODBCNotSupportedByThisEdition = 'This edition does not support ODBC';
  {$endif}
  {$ifdef GERMAN}
  SODBCNotSupportedByThisEdition = 'Diese Edition untersttzt ODBC nicht';
  {$endif}

	{$ifdef ENGLISH}
  SProcedureNotExists = 'The procedure does not exist';
  {$endif}
  {$ifdef GERMAN}
  SProcedureNotExists = 'Die Prozedur existiert nicht';
  {$endif}

  {$ifdef ENGLISH}
  SModuleNotExist = 'The module does not exist';
  {$endif}
  {$ifdef GERMAN}
  SModuleNotExist = 'Das Module existiert nicht';
  {$endif}

	{$ifdef ENGLISH}
  SProcedureDoesAlreadyExist = 'The procedure already exists';
  {$endif}
  {$ifdef GERMAN}
  SProcedureDoesAlreadyExist = 'Die Prozedur existiert bereits';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTurboDBIdentifier = 'The identifier is not a valid TurboDB identifier';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTurboDBIdentifier = 'Der Bezeichner ist kein gltiger TurboDB Bezeichner';
  {$endif}

	{$ifdef ENGLISH}
  SSearchConditionInvalid = 'Search-condition is invalid';
  {$endif}
  {$ifdef GERMAN}
  SSearchConditionInvalid = 'Ungltige Suchbedingung';
  {$endif}

  {$ifdef ENGLISH}
  SRelationAlreadyOpen = 'The relation is already open';
  {$endif}
  {$ifdef GERMAN}
  SRelationAlreadyOpen = 'Die Relation ist bereits geffnet';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidQuery = 'The query is not valid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidQuery = 'Die Query ist nicht richtig';
  {$endif}

  {$ifdef ENGLISH}
	SRelationIsAlreadyLocked = 'The database table is locked';
	{$endif}
	{$ifdef GERMAN}
  SRelationIsAlreadyLocked = 'Die Datenbank-Tabelle ist gesperrt';
  {$endif}

	{$ifdef ENGLISH}
  SCannotDeleteIndex = 'Cannot delete index';
  {$endif}
  {$ifdef GERMAN}
  SCannotDeleteIndex = 'Index kann nicht gelscht werden';
  {$endif}

	{$ifdef ENGLISH}
  SCouldNotCloseRelation = 'Could not close relation';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotCloseRelation = 'Relation kann nicht geschlossen werden';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidEquateJoin = 'Invalid equate join';
  {$endif}
  {$ifdef GERMAN}
  SInvalidEquateJoin = 'Fehlerhafter Equate Join';
  {$endif}

	{$ifdef ENGLISH}
  SCouldNotDeleteRelation = 'Could not delete relation';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotDeleteRelation = 'Relation kann nicht gelscht werden';
  {$endif}

  {$ifdef ENGLISH}
  SRelationTableNotFound = 'Relation table (*.rel) not found';
  {$endif}
  {$ifdef GERMAN}
  SRelationTableNotFound = 'Relationstabelle (*.rel) nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
	SCreateSessionFailed = 'Could not create session';
	{$endif}
	{$ifdef GERMAN}
	SCreateSessionFailed = 'Sitzung konnte nicht angelegt werden';
	{$endif}

	{$ifdef ENGLISH}
	SCannotCreateFile = 'File already exists, directory not found or no write access';
	{$endif}
	{$ifdef GERMAN}
	SCannotCreateFile = 'Datei existiert bereits, Verzeichnis nicht gefunden oder kein Schreibrecht';
	{$endif}

	{$ifdef ENGLISH}
	STransferRunning = 'There is already a blob/memo transfer active';
	{$endif}
	{$ifdef GERMAN}
	STransferRunning = 'Ein Blob/Memo-Transfer luft bereits';
	{$endif}

	{$ifdef ENGLISH}
	SNoActiveTransfer = 'There is no active blob/memo transfer';
	{$endif}
	{$ifdef GERMAN}
	SNoActiveTransfer = 'Kein aktiver Blob/Memo-Transfer';
	{$endif}

	{$ifdef ENGLISH}
	SNotInEditMode = 'Record is not in edit mode';
	{$endif}
	{$ifdef GERMAN}
	SNotInEditMode = 'Datensatz ist nicht im Editiermodus';
	{$endif}

	{$ifdef ENGLISH}
	SDatabaseNotFound = 'Database not found';
	{$endif}
	{$ifdef GERMAN}
	SDatabaseNotFound = 'Datenbank nicht gefunden';
	{$endif}

	{$ifdef ENGLISH}
	SInvalidSqlCommand = 'The SQL command has an error at row %d, column %d';
	{$endif}
	{$ifdef GERMAN}
	SInvalidSqlCommand = 'Der SQL-Befehl hat einen Fehler in Zeile %d, Spalte %d';
	{$endif}

	{$ifdef ENGLISH}
	SCannotExecuteCommand = 'Cannot execute SQL command';
	{$else}
	SCannotExecuteCommand = 'Das SQL-Kommando kann nicht ausgefhrt werden';
	{$endif}

	{$ifdef ENGLISH}
	SErrorInTurboDBEngine = 'Error in TurboDB Engine';
	{$endif}
	{$ifdef GERMAN}
	SErrorInTurboDBEngine = 'Fehler in TurboDB Engine';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableHandle = 'The table handle is invalid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableHandle = 'Der Handle der Tabelle ist ungltig';
  {$endif}

  {$ifdef ENGLISH}
  SInternalError = 'Internal error';
  {$endif}
  {$ifdef GERMAN}
  SInternalError = 'Interner Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidStatementHandle = 'The statement handle is invalid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidStatementHandle = 'Der Statement Handle ist ungltig';
  {$endif}

  {$ifdef ENGLISH}
  SErrorWhileReadingFromTable = 'Error while reading from table';
  {$endif}
  {$ifdef GERMAN}
  SErrorWhileReadingFromTable = 'Fehler beim Lesen aus Tabelle';
  {$endif}

  {$ifdef ENGLISH}
  SUnspecifiedError = 'Unspecified error';
  {$endif}
  {$ifdef GERMAN}
  SUnspecifiedError = 'Unspezifizierter Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SExportFailed = 'Export failed';
  {$endif}
  {$ifdef GERMAN}
  SExportFailed = 'Export fehlgeschlagen';
  {$endif}

  {$ifdef ENGLISH}
  SImportFailed = 'Import failed';
  {$endif}
  {$ifdef GERMAN}
  SImportFailed = 'Import fehlgeschlagen';
  {$endif}


{*******************************************************************************
	TurboDB Engine Reason Messages
*******************************************************************************}

	{$ifdef ENGLISH}
	SCannotOpenTable = 'Cannot open table';
	{$endif}
	{$ifdef GERMAN}
	SCannotOpenTable = 'Kann Tabelle nicht ffnen';
  {$endif}

  {$ifdef ENGLISH}
	SReadError = 'Error while reading from file "%s"';
	{$endif}
	{$ifdef GERMAN}
	SReadError = 'Fehler beim Lesen aus Datei "%s"';
	{$endif}

	{$ifdef ENGLISH}
	SWriteError = 'Error while writing to file "%s"';
	{$endif}
	{$ifdef GERMAN}
	SWriteError = 'Fehler beim Schreiben in Datei "%s"';
	{$endif}

	{$ifdef ENGLISH}
	SErrorCreatingIndex = 'Error while creating index';
	{$endif}
	{$ifdef GERMAN}
	SErrorCreatingIndex =  'Fehler bei Indexerstellung';
	{$endif}

	{$ifdef ENGLISH}
  SErrorDeletingIndex = 'Error while deleting index';
  {$endif}
  {$ifdef GERMAN}
  SErrorDeletingIndex = 'Fehler bei Indexlschung';
  {$endif}

  {$ifdef ENGLISH}
	SIndexNotFound = 'Index "%s" not found';
	{$endif}
	{$ifdef GERMAN}
  SIndexNotFound = 'Index "%s" nicht vorhanden';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidCondition = 'Error in search-condition';
  {$endif}
  {$ifdef GERMAN}
  SInvalidCondition = 'Fehler in Suchbedingung';
  {$endif}

  {$ifdef ENGLISH}
  SImportError = 'Import error';
  {$endif}
  {$ifdef GERMAN}
  SImportError = 'Import-Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SOutputFormatError = 'Error in output format';
  {$endif}
  {$ifdef GERMAN}
  SOutputFormatError = 'Fehler in Ausgabeformat';
  {$endif}

  {$ifdef ENGLISH}
  SClosingFileError = 'Error while closing file';
  {$endif}
  {$ifdef GERMAN}
  SClosingFileError = 'Fehler beim Schlieen der Tabelle';
  {$endif}

  {$ifdef ENGLISH}
  SIndexTooLarge = 'Index key size must not exceed 256 bytes';
  {$endif}
  {$ifdef GERMAN}
  SIndexTooLarge = 'Gre des Index-Schlssels darf 256 Bytes nicht berschreiten';
  {$endif}

  {$ifdef ENGLISH}
  SOpeningIndexError = 'Error while opening index';
  {$endif}
  {$ifdef GERMAN}
  SOpeningIndexError = 'Fehler beim ffnen des Index';
  {$endif}

  {$ifdef ENGLISH}
  SIndexDoesNotMatch = 'Index does not match table';
  {$endif}
  {$ifdef GERMAN}
  SIndexDoesNotMatch = 'Index pat nicht zur Tabelle';
  {$endif}

  {$ifdef ENGLISH}
  SNotADataField = 'Not a data field';
  {$endif}
  {$ifdef GERMAN}
  SNotADataField = 'Kein Datenfeld';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidSubDir = 'Invalid subdirectory';
  {$endif}
  {$ifdef GERMAN}
  SInvalidSubDir = 'Illegales Unterverzeichnis';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableLink = 'Invalid table link';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableLink = 'Illegale Tabellen-Verknpfung';
  {$endif}

  {$ifdef ENGLISH}
  SRelationHandleUsed = 'Relation handle already used';
  {$endif}
  {$ifdef GERMAN}
  SRelationHandleUsed = 'Relations-Handle wird schon benutzt';
  {$endif}

  {$ifdef ENGLISH}
  SNoFileInDir = 'No file in current directory';
  {$endif}
  {$ifdef GERMAN}
  SNoFileInDir = 'Keine Datei im aktuellen Verzeichnis';
  {$endif}

  {$ifdef ENGLISH}
  SRecNotFound = 'Record not found';
  {$endif}
  {$ifdef GERMAN}
  SRecNotFound = 'Datensatz nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SModuleNotFound = 'Module not found';
  {$endif}
  {$ifdef GERMAN}
  SModuleNotFound = 'Modul nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInHeader = 'Error in header';
  {$endif}
  {$ifdef GERMAN}
  SErrorInHeader = 'Fehler in Kopfzeile';
  {$endif}

  {$ifdef ENGLISH}
  SIndexAlreadyExists = 'Index file already exists';
  {$endif}
  {$ifdef GERMAN}
  SIndexAlreadyExists = 'Indexdatei existiert bereits';
  {$endif}

  {$ifdef ENGLISH}
  SIndexAlreadyOpen = 'Index already open';
  {$endif}
  {$ifdef GERMAN}
  SIndexAlreadyOpen = 'Index bereits geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SPrinterNotReady = 'Printer not ready';
  {$endif}
  {$ifdef GERMAN}
  SPrinterNotReady = 'Drucker nicht bereit';
  {$endif}

  {$ifdef ENGLISH}
  SSyntaxError = 'Syntax error';
  {$endif}
  {$ifdef GERMAN}
  SSyntaxError = 'Syntax-Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidFileName = 'Invalid file name';
  {$endif}
  {$ifdef GERMAN}
  SInvalidFileName = 'Illegaler Dateiname';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInFooter = 'Error in footer';
  {$endif}
  {$ifdef GERMAN}
  SErrorInFooter = 'Fehler in Fuzeile';
  {$endif}

  {$ifdef ENGLISH}
  SDamagedIndexDescription = 'Index description is damaged';
  {$endif}
  {$ifdef GERMAN}
  SDamagedIndexDescription = 'Indexbeschreibung zerstrt';
  {$endif}

  {$ifdef ENGLISH}
  SWrongProgramFileVersion = 'Wrong program file version';
  {$endif}
  {$ifdef GERMAN}
  SWrongProgramFileVersion = 'Falsche Programmversion';
  {$endif}

  {$ifdef ENGLISH}
  SDuplicateEntry = 'Duplicate entry';
  {$endif}
  {$ifdef GERMAN}
  SDuplicateEntry = 'Doppelter Eintrag';
  {$endif}

  {$ifdef ENGLISH}
	SCannotOpenMemoFile = 'Cannot open memo file "%s"';
	{$endif}
	{$ifdef GERMAN}
  SCannotOpenMemoFile = 'Memo-Datei "%s" kann nicht geffnet werden';
  {$endif}

  {$ifdef ENGLISH}
  SMemoNotAllowedHere = 'Memo not allowed here';
  {$endif}
  {$ifdef GERMAN}
  SMemoNotAllowedHere = 'Memo hier nicht erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SWritingMemoFileError = 'Error while writing to memo file';
  {$endif}
  {$ifdef GERMAN}
  SWritingMemoFileError = 'Fehler beim Schreiben des Memos';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalOperation = 'Illegal operation';
  {$endif}
  {$ifdef GERMAN}
  SIllegalOperation = 'Illegale Operation';
  {$endif}

  {$ifdef ENGLISH}
	STableAlreadyOpen = 'A table with this name is already open';
	{$endif}
	{$ifdef GERMAN}
  STableAlreadyOpen = 'Eine Tabelle mit diesem Namen ist bereits geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidAccess = 'Invalid access';
  {$endif}
  {$ifdef GERMAN}
  SInvalidAccess = 'Ungltiger Zugriff';
  {$endif}

  {$ifdef ENGLISH}
  SFileNotFound = 'File not found or access denied: "%s"';
  {$endif}
  {$ifdef GERMAN}
  SFileNotFound = 'Datei nicht gefunden oder Zugriff verweigert: "%s"';
  {$endif}

  {$ifdef ENGLISH}
	SWrongKey = 'The key or the password is not correct';
	{$endif}
	{$ifdef GERMAN}
  SWrongKey = 'Schlssel oder Passwort ist nicht korrekt';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInIncludeFile = 'Error in include file';
  {$endif}
  {$ifdef GERMAN}
  SErrorInIncludeFile = 'Fehler in Include-Datei';
  {$endif}

  {$ifdef ENGLISH}
  SNoLinkedRecord = 'There is no linked record';
  {$endif}
  {$ifdef GERMAN}
  SNoLinkedRecord = 'Kein angekoppelter Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SIncompleteExpression = 'Expression not complete';
  {$endif}
  {$ifdef GERMAN}
  SIncompleteExpression = 'Ausdruck nicht vollstndig';
  {$endif}

  {$ifdef ENGLISH}
  SOperatorNotAllowedForOperand = 'Operator not allowed for operand';
  {$endif}
  {$ifdef GERMAN}
  SOperatorNotAllowedForOperand = 'Operator pat nicht zu Operand';
  {$endif}

  {$ifdef ENGLISH}
  SRealOverflow = 'Real overflow';
  {$endif}
  {$ifdef GERMAN}
  SRealOverflow = 'Real-berlauf';
  {$endif}

  {$ifdef ENGLISH}
  STypeMismatch = 'Type mismatch: %s';
  {$endif}
  {$ifdef GERMAN}
  STypeMismatch = 'Typen stimmen nicht berein: %s';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalCharacter = 'Invalid character "%s"';
  {$endif}
  {$ifdef GERMAN}
  SIllegalCharacter = 'Ungltiges Zeichen "%s"';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidNumber = '"%s" is not a valid number';
  {$endif}
  {$ifdef GERMAN}
  SInvalidNumber = '"%s" ist keine gltige Zahl';
  {$endif}

  {$ifdef ENGLISH}
  SNotUsed = 'Not used';
  {$endif}
  {$ifdef GERMAN}
  SNotUsed = 'Nicht belegt';
  {$endif}

  {$ifdef ENGLISH}
  SLogicalOperandMissing = 'Logical operand missing';
  {$endif}
  {$ifdef GERMAN}
  SLogicalOperandMissing = 'Logischer Operand fehlt';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalOperand = 'Illegal operand';
  {$endif}
  {$ifdef GERMAN}
  SIllegalOperand = 'Illegaler Operand';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownIdentifier = 'Unknown identifier: %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownIdentifier = 'Unbekannter Bezeichner: %s';
  {$endif}

  {$ifdef ENGLISH}
  SArrayVariableExpected = 'Array variable expected';
  {$endif}
  {$ifdef GERMAN}
  SArrayVariableExpected = 'Feldvariable erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownError = 'Unknown error: %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownError = 'Unbekannter Fehler: %s';
  {$endif}

  {$ifdef ENGLISH}
  STooManyVariables = 'Too many variables';
  {$endif}
  {$ifdef GERMAN}
  STooManyVariables = 'Zu viele Variablen';
  {$endif}

  {$ifdef ENGLISH}
  SEqualMissing = '''='' missing';
  {$endif}
  {$ifdef GERMAN}
  SEqualMissing = '''='' fehlt';
  {$endif}

  {$ifdef ENGLISH}
  SNumberExpected = 'Number expected';
  {$endif}
  {$ifdef GERMAN}
  SNumberExpected = 'Zahl erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SExpressionExpected = '"%s" expected';
  {$endif}
  {$ifdef GERMAN}
  SExpressionExpected = '"%s" erwartet';
  {$endif}

  {$ifdef ENGLISH}
  STableNameExpected = 'Table name expected';
  {$endif}
  {$ifdef GERMAN}
  STableNameExpected = 'Tabellenname erwartet';
  {$endif}

  {$ifdef ENGLISH}
  STooManyColumns = 'Too many table columns';
  {$endif}
  {$ifdef GERMAN}
  STooManyColumns = 'Zu viele Tabellenspalten';
  {$endif}

  {$ifdef ENGLISH}
  SExpressionTooComplex = 'Expression too complex';
  {$endif}
  {$ifdef GERMAN}
  SExpressionTooComplex = 'Ausdruck zu komplex';
  {$endif}

  {$ifdef ENGLISH}
  SNotANumberRange = 'Not a number range';
  {$endif}
  {$ifdef GERMAN}
  SNotANumberRange = 'Nur Zahlenbereiche erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInExpression = 'Error in expression';
  {$endif}
  {$ifdef GERMAN}
  SErrorInExpression = 'Fehler in Bereichsangabe';
  {$endif}

  {$ifdef ENGLISH}
  SNotADLTable = 'Not an ADL table';
  {$endif}
  {$ifdef GERMAN}
  SNotADLTable = 'Keine ADL-Datei';
  {$endif}

  {$ifdef ENGLISH}
  SADLTableNotFound = 'Table not found for L(NAME) or R(NAME)';
  {$endif}
  {$ifdef GERMAN}
  SADLTableNotFound = 'Datei nicht gefunden bei L(NAME) oder R(NAME)';
  {$endif}

  {$ifdef ENGLISH}
  SNoRestructureAccess = 'Right for restructuring the table is missing';
  {$endif}
  {$ifdef GERMAN}
  SNoRestructureAccess = 'Das Recht zum Restrukturieren der Tabelle fehlt';
  {$endif}

  {$ifdef ENGLISH}
  STooManyIndexes = 'Number of indexes per table exceeds the maximum of 15';
  {$endif}
  {$ifdef GERMAN}
  STooManyIndexes = 'Die Anzahl der Index berschreitet das Maximum von 15';
  {$endif}

  {$ifdef ENGLISH}
  SSelectionIsEmtpy = 'Selection is empty';
  {$endif}
  {$ifdef GERMAN}
  SSelectionIsEmtpy = 'Auswahl ist leer';
  {$endif}

  {$ifdef ENGLISH}
  SMissingFormula = 'Missing formula';
  {$endif}
  {$ifdef GERMAN}
  SMissingFormula = 'Formel nicht spezifiziert';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidRange = 'Invalid range constraint';
  {$endif}
  {$ifdef GERMAN}
  SInvalidRange = 'Ungltige Bereichs-berprfung';
  {$endif}

  {$ifdef ENGLISH}
  SDuplicateIdentifier = 'Duplicate identifier';
  {$endif}
  {$ifdef GERMAN}
  SDuplicateIdentifier = 'Bezeichner doppelt definiert';
  {$endif}

  {$ifdef ENGLISH}
	STableFileAlreadyExists = 'Table file "%s" already exists';
	{$endif}
	{$ifdef GERMAN}
  STableFileAlreadyExists = 'Tabellen-Datei "%s" existiert bereits';
  {$endif}

  {$ifdef ENGLISH}
  STooManyLinkFields = 'Table may have up to 9 link fields';
  {$endif}
  {$ifdef GERMAN}
  STooManyLinkFields = 'Tabelle kann bis zu 9 Koppelfelder enthalten';
  {$endif}

  {$ifdef ENGLISH}
  SUpToFifteenDigitsAllowed = 'Up to 15 digits allowed';
  {$endif}
  {$ifdef GERMAN}
  SUpToFifteenDigitsAllowed = 'Nur 15 Stellen erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SStringTooLong = 'String too long';
  {$endif}
  {$ifdef GERMAN}
  SStringTooLong = 'Zeichenkette zu lang';
  {$endif}

  {$ifdef ENGLISH}
  SMoreThanOneAutoIncField = 'More than one auto increment field';
  {$endif}
  {$ifdef GERMAN}
  SMoreThanOneAutoIncField = 'Nur ein N-Feld erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SNotEnoughPlaceholders = 'Not enough place holders';
  {$endif}
  {$ifdef GERMAN}
  SNotEnoughPlaceholders = 'Zu wenig Platzhalter';
  {$endif}

  {$ifdef ENGLISH}
  TooManyPlaceHolders = 'Too many place holders';
  {$endif}
  {$ifdef GERMAN}
  TooManyPlaceHolders = 'Zu viele Platzhalter';
  {$endif}

  {$ifdef ENGLISH}
  SRightMarginTooSmall = 'Right margin too small';
  {$endif}
  {$ifdef GERMAN}
  SRightMarginTooSmall = 'Zu wenig Platz am rechten Rand';
  {$endif}

  {$ifdef ENGLISH}
  SMoreThanOneStandardIndexes = 'More than one standard indexes';
  {$endif}
  {$ifdef GERMAN}
  SMoreThanOneStandardIndexes = 'Nur ein ID_Index erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SRangeOverflow = 'Range overflow';
  {$endif}
  {$ifdef GERMAN}
  SRangeOverflow = 'Bereichsberlauf';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalCommand = 'Illegal command';
  {$endif}
  {$ifdef GERMAN}
  SIllegalCommand = 'Illegales Kommando';
  {$endif}

  {$ifdef ENGLISH}
  SDataFieldNotFound = 'Data field not found: %s';
  {$endif}
  {$ifdef GERMAN}
  SDataFieldNotFound = 'Datenfeld nicht gefunden: %s';
  {$endif}

  {$ifdef ENGLISH}
  SNoStandardIndexDefined = 'No standard index defined';
  {$endif}
  {$ifdef GERMAN}
  SNoStandardIndexDefined = 'Kein ID-Index festgelegt';
  {$endif}

  {$ifdef ENGLISH}
  SDefinitionMissing = 'Definition missing';
  {$endif}
  {$ifdef GERMAN}
  SDefinitionMissing = 'Keine Definition';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidAreaSequence = 'Invalid area sequence';
  {$endif}
  {$ifdef GERMAN}
  SInvalidAreaSequence = 'Illegale Textaufteilung';
  {$endif}

  {$ifdef ENGLISH}
  STableNotOpen = 'Table "%s" not open';
  {$endif}
  {$ifdef GERMAN}
  STableNotOpen = 'Tabelle "%s" nicht geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SVariableExpected = 'Variable expected';
  {$endif}
  {$ifdef GERMAN}
  SVariableExpected = 'Variable erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SErrorWritingIndex = 'Error while writing index';
  {$endif}
  {$ifdef GERMAN}
  SErrorWritingIndex = 'Fehler beim Schreiben des Index';
  {$endif}

  {$ifdef ENGLISH}
  SErrorReadingIndex = 'Error while reading index';
  {$endif}
  {$ifdef GERMAN}
  SErrorReadingIndex = 'Fehler beim Lesen des Index';
  {$endif}

  {$ifdef ENGLISH}
  SEndOfSubreportNotFound = 'End of subreport not found';
  {$endif}
  {$ifdef GERMAN}
  SEndOfSubreportNotFound = 'Ende des Unterreports nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SKeywordNotAllowed = 'Keyword not allowed in current area';
  {$endif}
  {$ifdef GERMAN}
  SKeywordNotAllowed = 'Kommando in diesem Bereich nicht erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  STooManyOpenTables = 'Cannot open more than 62 tables per session';
  {$endif}
  {$ifdef GERMAN}
  STooManyOpenTables = 'Es knnen nicht mehr als 62 Tabellen pro Sitzung geffnet werden';
  {$endif}

  {$ifdef ENGLISH}
  SDamagedIndex = 'Index is damaged';
  {$endif}
  {$ifdef GERMAN}
  SDamagedIndex = 'Index defekt';
  {$endif}

  {$ifdef ENGLISH}
  SUntilExpected = '"until" expected';
  {$endif}
  {$ifdef GERMAN}
  SUntilExpected = '"until" erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SEndExpected = '"end" expected';
  {$endif}
  {$ifdef GERMAN}
  SEndExpected = '"end" erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidSpecifications = 'Invalid index specification "%s"';
  {$endif}
  {$ifdef GERMAN}
  SInvalidSpecifications = 'Fehlerhafte Indexdefinition "%s"';
  {$endif}

  {$ifdef ENGLISH}
  SNotEnoughMemory = 'Not enough memory';
  {$endif}
  {$ifdef GERMAN}
  SNotEnoughMemory ='Speicher reicht nicht aus';
  {$endif}

  {$ifdef ENGLISH}
  SDemoVersion = 'Too many records in demo version';
  {$endif}
  {$ifdef GERMAN}
  SDemoVersion = 'Demoversion erlaubt nicht mehr Datenstze';
  {$endif}

  {$ifdef ENGLISH}
  SLocalProceduresNotPermitted = 'Local procedures not permitted';
  {$endif}
  {$ifdef GERMAN}
  SLocalProceduresNotPermitted = 'Prozeduren drfen nicht verschachtelt werden';
  {$endif}

  {$ifdef ENGLISH}
  SEndProcMissing = '"endproc" expected';
  {$endif}
  {$ifdef GERMAN}
  SEndProcMissing = '"endproc" erwartet';
  {$endif}

  {$ifdef ENGLISH}
  STableInUse = 'Table is in use by another application';
  {$endif}
  {$ifdef GERMAN}
  STableInUse = 'Tabelle wird noch von anderen Anwendungen benutzt';
  {$endif}

  {$ifdef ENGLISH}
  SNetworkOperationCanceled = 'Network operation canceled';
  {$endif}
  {$ifdef GERMAN}
  SNetworkOperationCanceled = 'Netzoperation abgebrochen';
  {$endif}

  {$ifdef ENGLISH}
  SRecordLocked = 'Record is being edited by another user';
  {$endif}
  {$ifdef GERMAN}
  SRecordLocked = 'Datensatz wird bereits editiert';
  {$endif}

  {$ifdef ENGLISH}
  SLoginError = 'Error in login';
  {$endif}
  {$ifdef GERMAN}
  SLoginError = 'Fehler beim Einloggen';
  {$endif}

  {$ifdef ENGLISH}
	SInvalidConnectionId = 'Invalid connection id';
	{$endif}
	{$ifdef GERMAN}
	SInvalidConnectionId = 'Ungltige Verbindungs-Id';
  {$endif}

  {$ifdef ENGLISH}
  STimeout = 'Timeout';
  {$endif}
  {$ifdef GERMAN}
  STimeout = 'Timeout-Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownNetworkError = 'Unknown network error';
  {$endif}
  {$ifdef GERMAN}
  SUnknownNetworkError = 'Unbekannter Fehler im Netz';
  {$endif}

  {$ifdef ENGLISH}
  SLockingError = 'Locking error';
  {$endif}
  {$ifdef GERMAN}
  SLockingError = 'Locking-Fehler';
  {$endif}

  {$ifdef ENGLISH}
	SCannotOpenMemo = 'Cannot open blob file "%s"';
	{$endif}
	{$ifdef GERMAN}
	SCannotOpenMemo = 'Blob-Datei "%s" kann nicht geffnet werden';
  {$endif}

  {$ifdef ENGLISH}
  SMemoDamaged = 'Memo file is damaged';
  {$endif}
  {$ifdef GERMAN}
  SMemoDamaged = 'Memo defekt';
  {$endif}

  {$ifdef ENGLISH}
  SBlobDamaged = 'Blob file is damaged';
  {$endif}
  {$ifdef GERMAN}
  SBlobDamaged = 'Blob defekt';
  {$endif}

  {$ifdef ENGLISH}
  SOperationCanceled = 'Operation canceled';
  {$endif}
  {$ifdef GERMAN}
  SOperationCanceled = 'Operation abgebrochen';
  {$endif}

  {$ifdef ENGLISH}
  SNoWriteAccess = 'No write access to file';
  {$endif}
  {$ifdef GERMAN}
  SNoWriteAccess = 'Kein Schreibrecht auf Datei';
  {$endif}

  {$ifdef ENGLISH}
  SIndexInUse = 'Index is in use';
  {$endif}
  {$ifdef GERMAN}
  SIndexInUse = 'Index noch in Gebrauch';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableStructure = 'Invalid table structure';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableStructure = 'Illegale Dateistruktur';
  {$endif}

  {$ifdef ENGLISH}
  SErrorExecutingExternalProcedure = 'Fatal error while executing external procedure %s';
  {$endif}
  {$ifdef GERMAN}
  SErrorExecutingExternalProcedure = 'Fataler Fehler beim Aufruf der externen Prozedur: %s';
  {$endif}

  {$ifdef ENGLISH}
  SExternalProcedureNotFound = 'External procedure not found: %s';
  {$endif}
  {$ifdef GERMAN}
  SExternalProcedureNotFound = 'Externe Prozedur nicht gefunden: %s';
  {$endif}

  {$ifdef ENGLISH}
  SCannotInitODBC = 'Cannot inititialize ODBC';
  {$endif}
  {$ifdef GERMAN}
  SCannotInitODBC = 'ODBC konnte nicht initialisiert werden';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenODBCDatasource = 'Cannot open ODBC data source';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenODBCDatasource = 'Die ODBC-Datenquelle kann nicht geffnet werden';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInQuery = 'Error in SQL query';
  {$endif}
  {$ifdef GERMAN}
  SErrorInQuery = 'Bei der SQL-Abfrage ist ein Fehler aufgetreten';
  {$endif}

  {$ifdef ENGLISH}
  SException = 'Exception in TurboDB Engine';
  {$endif}
  {$ifdef GERMAN}
  SException = 'Ausnahme in TurboDB-Engine';
  {$endif}

  {$ifdef ENGLISH}
  SOldDatVersion = 'Old version of table file';
  {$endif}
  {$ifdef GERMAN}
  SOldDatVersion = 'Veraltete Version der Tabellen-Datei';
  {$endif}

  {$ifdef ENGLISH}
  SCannotAssignToConst = 'Cannot assign to constant';
  {$endif}
  {$ifdef GERMAN}
  SCannotAssignToConst = 'Einer Konstanten kann nichts zugewiesen werden';
  {$endif}

  {$ifdef ENGLISH}
  SObjectExpected = '''.'' must be preceeded by an object';
  {$endif}
  {$ifdef GERMAN}
  SObjectExpected = 'Links von . muss ein Objekt stehen';
  {$endif}

  {$ifdef ENGLISH}
  SArrayTooLarge = 'Array to large (up to 2 GB allowed)';
  {$endif}
  {$ifdef GERMAN}
  SArrayTooLarge = 'Array hat zuviele Elemente (bis zu 2 GB mglich)';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidFullTextSearch = 'Full-text search condition contains an error';
  {$endif}
  {$ifdef GERMAN}
  SInvalidFullTextSearch = 'Die Volltext-Suchbedingung enthlt einen Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownDBaseFormat = 'The version of the dBase file is unknown.';
  {$endif}
  {$ifdef GERMAN}
  SUnknownDBaseFormat = 'Die Version der dBase-Datei ist unbekannt';
  {$endif}

  {$ifdef ENGLISH}
  SSharingViolation = 'The file is in use by another user';
  {$endif}
  {$ifdef GERMAN}
  SSharingViolation = 'Die Datei wird noch von einem anderen Anwender benutzt';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenFile = 'Cannot open file %s';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenFile = 'Kann Datei %s nicht ffnen';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownClass = 'Unknown class %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownClass = 'Unbekannte Klasse %s';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidObject = 'Invalid object reference';
  {$endif}
  {$ifdef GERMAN}
  SInvalidObject = 'Ungltige Objekt-Referenz';
  {$endif}

  {$ifdef ENGLISH}
  STableCorrupt = 'Table file header is corrupt';
  {$endif}
  {$ifdef GERMAN}
  STableCorrupt = 'Dateikopf der Tabelle ist beschdigt';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInLibraryCall = 'Error in libarary call: %s';
  {$endif}
  {$ifdef GERMAN}
  SErrorInLibraryCall = 'Fehler beim Aufruf einer Bibliotheks-Routine: %s';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidMember = 'Unknown class member';
  {$endif}
  {$ifdef GERMAN}
  SInvalidMember = 'Unbekanntes Klassen-Element';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidDate = '"%s" is not a valid date';
  {$endif}
  {$ifdef GERMAN}
  SInvalidDate = '"%s" ist kein gltiges Datum';
  {$endif}

  {$ifdef ENGLISH}
	SLangDriverNotFound = 'Language driver "%s" cannot be found, is an old version or does not match specification';
	{$endif}
	{$ifdef GERMAN}
  SLangDriverNotFound = 'Sprachtreiber "%s" wurde nicht gefunden, ist eine alte Version oder entspricht nicht der Spezifikation';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidAggregate = 'The argument of an aggregate must be a numeric expression';
  {$endif}
  {$ifdef GERMAN}
  SInvalidAggregate = 'Das Argument einer Aggregations-Funktion muss nummerisch sein';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTime = '"%s" is not a valid time';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTime = '"%s" ist keine gltige Zeitangabe';
  {$endif}

  {$ifdef ENGLISH}
  SNoCreatePermission = 'Permission denied to create file %s';
  {$endif}
  {$ifdef GERMAN}
  SNoCreatePermission = 'Kein Recht, Datei %s zu erstellen';
  {$endif}

  {$ifdef ENGLISH}
  SNoReadPermission = 'Permission denied to read file %s';
  {$endif}
  {$ifdef GERMAN}
  SNoReadPermission = 'Kein Recht, Datei %s zu lesen';
  {$endif}

  {$ifdef ENGLISH}
  SFieldSizeIsZero = 'Field size of field "%s" is zero';
  {$endif}
  {$ifdef GERMAN}
  SFieldSizeIsZero = 'Feld "%s" hat die Gre null';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownFieldType = 'Unknown field type %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownFieldType = 'Unbekannter Feldtyp %s';
  {$endif}

  {$ifdef ENGLISH}
  SIndicationMissing = 'Indication for AutoInc field "%s" undefined';
  {$endif}
  {$ifdef GERMAN}
  SIndicationMissing = 'Auto-Nummer-Feld "%s" hat keine Anzeige';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidJoin = 'Invalid join "%s"';
  {$endif}
  {$ifdef GERMAN}
  SInvalidJoin = 'Ungltiger Verbund "%s"';
  {$endif}

  {$ifdef ENGLISH}
  SDifferentLangDriver = 'All tables within one session must use the same language driver';
  {$endif}
  {$ifdef GERMAN}
  SDifferentLangDriver = 'Alle Tabellen einer Sitzung mssen den selben Sprachtreiber benutzen';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidStrValue = '"%s" is not a valid value';
  {$endif}
  {$ifdef GERMAN}
  SInvalidStrValue = '"%s" ist kein gltiger Wert';
  {$endif}

  {$ifdef ENGLISH}
  SNoIndexPermission = 'Permission denied to create an index';
  {$endif}
  {$ifdef GERMAN}
  SNoIndexPermission = 'Kein Recht, einen Index zu erstellen';
  {$endif}

  {$ifdef ENGLISH}
  SValueListTooLong = 'Too many values in list';
  {$endif}
  {$ifdef GERMAN}
  SValueListTooLong = 'Zu viele Werte in der Liste';
  {$endif}

  {$ifdef ENGLISH}
  SSingleTableJoin = 'Equate join has exactly one table on each side of the =';
  {$endif}
  {$ifdef GERMAN}
  SSingleTableJoin = 'Equate join hat genau eine Tabelle auf jeder Seite des =';
  {$endif}

  {$ifdef ENGLISH}
  SNotDBaseCompatible = 'DBase III files unable to hold this data structure';
  {$endif}
  {$ifdef GERMAN}
  SNotDBaseCompatible = 'DBase III-Dateien knnen diese Datenstruktur nicht aufnehmen';
  {$endif}

  {$ifdef ENGLISH}
  SExternalTableError = 'External table error: %s';
  {$endif}
  {$ifdef GERMAN}
  SExternalTableError = 'Fehler in externer Tabelle: %s';
  {$endif}

  {$ifdef ENGLISH}
	SRelTableNotFound = 'At least one relation table could not be opened';
	{$endif}
	{$ifdef GERMAN}
	SRelTableNotFound = 'Mindestens eine Relations-Tabelle konnte nicht geffnet werden';
	{$endif}

	{$ifdef ENGLISH}
	SDeletionNotComplete = 'One or more files could not be deleted';
	{$endif}
	{$ifdef GERMAN}
	SDeletionNotComplete = 'Eine oder mehrere Dateien konnten nicht gelscht werden';
	{$endif}

	{$ifdef ENGLISH}
	SBlobFileTooLarge = 'Memo/blob file exceeds maximum size';
	{$endif}
	{$ifdef GERMAN}
	SBlobFileTooLarge = 'Memo/Blob-Datei berschreitet maximale Gre';
	{$endif}

	{$ifdef ENGLISH}
	SNoAutoIncModify = 'AutoInc field must not be modified';
	{$endif}
	{$ifdef GERMAN}
	SNoAutoIncModify = 'AutoInc-Feld darf nicht gendert werden';
	{$endif}

	{$ifdef ENGLISH}
	SInvalidDateTime = '"%s" is not a valid timestamp';
	{$endif}
	{$ifdef GERMAN}
	SInvalidDateTime = '"%s" is kein gltiger Zeitstempel';
	{$endif}

	{$ifdef ENGLISH}
	SLangDriverNotSupported = 'LanguageDriver "%s" not supported by operating system';
	{$endif}
	{$ifdef GERMAN}
	SLangDriverNotSupported = 'Sprachtreiber "%s" wird vom Betriebssystem nicht untersttzt';
	{$endif}

{*******************************************************************************
	TurboDB Components Resource Strings
*******************************************************************************}

  //*** TdbDataSet ***

  {$ifdef ENGLISH}
  SFieldNotFound = 'Field %s not found.';
  {$endif}
  {$ifdef GERMAN}
  SFieldNotFound = 'Feld %s nicht gefunden.';
	{$endif}

	{$ifdef ENGLISH}
	SNoDatabaseName = '%s: Database name missing.';
	{$endif}
	{$ifdef GERMAN}
	SNoDatabaseName = '%s: Datenbankname fehlt.';
	{$endif}

	{$ifdef ENGLISH}
	SDuplicateDatabaseName = 'Duplicate database name: "%s"';
	{$endif}
	{$ifdef GERMAN}
	SDuplicateDatabaseName = 'Doppelter Datenbank-Name: "%s"';
	{$endif}

	{$ifdef ENGLISH}
	SAlreadyConnected = 'Cannot change the database name when connected';
  {$endif}
  {$ifdef GERMAN}
  SAlreadyConnected = 'Der Datenbankname kann nicht gendert werden solange die Datenbank geffnet ist';
  {$endif}

  {$ifdef ENGLISH}
  SEvaluatingExpression = 'Evaluating expression ''%s''';
  {$endif}
  {$ifdef GERMAN}
  SEvaluatingExpression = 'Werte Ausdruck''%s'' aus';
  {$endif}

  {$ifdef ENGLISH}
  SReadingMemo = 'Reading memo';
  {$endif}
  {$ifdef GERMAN}
  SReadingMemo = 'Lese Memo';
  {$endif}

  {$ifdef ENGLISH}
  SReadingBlob = 'Reading blob';
  {$endif}
  {$ifdef GERMAN}
  SReadingBlob = 'Lese Blob';
  {$endif}

  {$ifdef ENGLISH}
  SRetrievingEnumValue = 'Retrieving enumeration value %s';
  {$endif}
  {$ifdef GERMAN}
  SRetrievingEnumValue = 'Ermittle Aufzhlungswert %s';
  {$endif}

  {$ifdef ENGLISH}
  SNotALinkField = 'Field %s is not a link field.';
  {$endif}
  {$ifdef GERMAN}
  SNotALinkField = 'Feld %s ist kein Link-Feld.';
  {$endif}

  {$ifdef ENGLISH}
  SAddingRecord = 'Adding record';
  {$endif}
  {$ifdef GERMAN}
  SAddingRecord = 'Datensatz anfgen';
  {$endif}

  {$ifdef ENGLISH}
  SDeletingRecord = 'Deleting record';
  {$endif}
  {$ifdef GERMAN}
  SDeletingRecord = 'Datensatz lschen';
  {$endif}

  {$ifdef ENGLISH}
  SEnteringRecord = 'Entering record';
  {$endif}
  {$ifdef GERMAN}
  SEnteringRecord = 'Datensatz lesen';
  {$endif}

  {$ifdef ENGLISH}
  SGetRecordReturns = 'GetRecord returns %d.';
  {$endif}
  {$ifdef GERMAN}
  SGetRecordReturns = 'GetRecord liefert %d.';
  {$endif}

  {$ifdef ENGLISH}
  SInsertingRecord = 'Inserting record into dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SInsertingRecord = 'Datensatz wird in Datenquelle %s eingefgt';
  {$endif}

  {$ifdef ENGLISH}
  SWritingRecord = 'Writing record to dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SWritingRecord = 'Datensatz wird in Datenquelle %s geschrieben';
  {$endif}

  {$ifdef ENGLISH}
  SAppendingRecord = 'Appending record to dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SAppendingRecord = 'Datensatz wird an Datenquelle %s angefgt';
  {$endif}

  {$ifdef ENGLISH}
  SEvaluatingCondition = 'Evaluating condition ''%s''';
  {$endif}
  {$ifdef GERMAN}
  SEvaluatingCondition = 'Bedingung ''%s'' wird ausgewertet';
  {$endif}

  {$ifdef ENGLISH}
  SLocating = 'Locating in dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SLocating = 'Suche in Datenquelle %s';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidEnumValue = '''%s'' is not a valid enumeration value.';
  {$endif}
  {$ifdef GERMAN}
  SInvalidEnumValue = '''%s'' ist kein gltiger Aufzhlungswert.';
  {$endif}

  {$ifdef ENGLISH}
  SLinkTableMustBeOpen = 'Table ''%s'' must be open to edit link field.';
  {$endif}
  {$ifdef GERMAN}
  SLinkTableMustBeOpen = 'Um das Link-Feld zu editieren muss die Tabelle ''%s'' geffnet sein.';
  {$endif}

  {$ifdef ENGLISH}
  SFindingLinkedRecord = 'Finding linked record';
  {$endif}
  {$ifdef GERMAN}
  SFindingLinkedRecord = 'Suche verknpften Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SNoRecordId = 'Linked table has no record id.';
  {$endif}
  {$ifdef GERMAN}
  SNoRecordId = 'Die verknpfte Tabelle verfgt ber keine RecordId.';
  {$endif}

  {$ifdef ENGLISH}
	SFullTextTableClosed = 'Keyword table must be defined and active for keyword filtering.';
	{$endif}
	{$ifdef GERMAN}
  SFullTextTableClosed = 'Schlsselwort-Tabelle muss fr den Schlsselwort-Filter definiert und offen sein.';
  {$endif}

  {$ifdef ENGLISH}
  SFullTextTableNotLinked = 'The full text table is not linked via a relation field or its first column is not alphanumeric.';
  {$endif}
  {$ifdef GERMAN}
  SFullTextTableNotLinked = 'Die Volltext-Tabelle ist nicht ber ein Relations-Feld verknpft oder die erste Spalte ist nicht alphanummerisch.';
  {$endif}

  {$ifdef ENGLISH}
  SSettingFilter = 'Setting filter';
  {$endif}
  {$ifdef GERMAN}
  SSettingFilter = 'Setze Filter';
  {$endif}

  {$ifdef ENGLISH}
  SSettingToRecordNo = 'Setting to record number %d';
  {$endif}
  {$ifdef GERMAN}
  SSettingToRecordNo = 'Positionieren auf Datensatz Nummer %d';
  {$endif}

  {$ifdef ENGLISH}
  SRecordNotFound = 'Record %d not found';
  {$endif}
  {$ifdef GERMAN}
  SRecordNotFound = 'Datensatz %d nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SLinkingTables = 'Linking tables';
  {$endif}
  {$ifdef GERMAN}
  SLinkingTables = 'Tabellen verknpfen';
  {$endif}

  {$ifdef ENGLISH}
  SAlteringTable = 'Altering table %s';
  {$endif}
  {$ifdef GERMAN}
  SAlteringTable = 'Tabelle %s ndern';
  {$endif}

  {$ifdef ENGLISH}
  SApplyingIndexName = 'Applying index %s';
  {$endif}
  {$ifdef GERMAN}
  SApplyingIndexName = 'Index %s anwenden';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidIndexName = 'The index %s does not exist.';
  {$endif}
  {$ifdef GERMAN}
  SInvalidIndexName = 'Index %s existiert nicht.';
  {$endif}

  {$ifdef ENGLISH}
  SMasterFieldsMissing = 'You need to define a value for MasterFields.';
  {$endif}
  {$ifdef GERMAN}
  SMasterFieldsMissing = 'Fr MasterFields muss ein Wert angegeben werden.';
  {$endif}

  {$ifdef ENGLISH}
  SCannotLink = 'Cannot use this field type for master-detail relationship.';
  {$endif}
  {$ifdef GERMAN}
  SCannotLink = 'Dieser Feldtyp kann nicht fr eine Master-Detail Relation verwendet werden.';
  {$endif}

  {$ifdef ENGLISH}
  SOpeningDetailTable = 'Opening TurboDB detail table %s';
  {$endif}
  {$ifdef GERMAN}
  SOpeningDetailTable = 'TurboDB Detail Tabelle %s ffnen';
  {$endif}

  {$ifdef ENGLISH}
  SOpeningTable = 'Opening TurboDB table %s';
  {$endif}
  {$ifdef GERMAN}
  SOpeningTable = 'TurboDB Tabelle %s ffnen';
  {$endif}

  {$ifdef ENGLISH}
	SCreatingTable = 'Creating table "%s"';
	{$endif}
	{$ifdef GERMAN}
	SCreatingTable = 'Erzeugen von Tabelle "%s"';
	{$endif}

	{$ifdef ENGLISH}
	SDeletingIndex = 'Deleting index "%s"';
	{$endif}
	{$ifdef GERMAN}
	SDeletingIndex = 'Lschen von Index "%s"';
	{$endif}

	{$ifdef ENGLISH}
	SDeletingTable = 'Deleting table "%s"';
	{$endif}
	{$ifdef GERMAN}
	SDeletingTable = 'Lschen von Tabelle "%s"';
  {$endif}

  {$ifdef ENGLISH}
  SCreatingIndex = 'Creating index "%s"';
  {$endif}
  {$ifdef GERMAN}
  SCreatingIndex = 'Index "%s" erzeugen';
  {$endif}

  {$ifdef ENGLISH}
  SDescFieldNotValid = 'Descending fields list contains invalid field for index "%s".';
  {$endif}
  {$ifdef GERMAN}
  SDescFieldNotValid = 'Absteigende Feldliste beinhaltet ein ungltiges Feld fr Index "%s".';
  {$endif}

  {$ifdef ENGLISH}
  SEmptyingTable = 'Emptying table %s';
  {$endif}
  {$ifdef GERMAN}
  SEmptyingTable = 'Tabelle %s lschen';
  {$endif}

  {$ifdef ENGLISH}
  SNeedActiveIndex = 'GotoKey needs an active index.';
  {$endif}
  {$ifdef GERMAN}
  SNeedActiveIndex = 'GotoKey bentigt einen aktiven Index.';
  {$endif}

  {$ifdef ENGLISH}
  SKeySearchingRecord = 'Searching record by key';
  {$endif}
  {$ifdef GERMAN}
  SKeySearchingRecord = 'Schlsselsuche nach Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SSearchingNearestRecord = 'Searching nearest record';
  {$endif}
  {$ifdef GERMAN}
  SSearchingNearestRecord = 'Suche nach Datensatz mit bester bereinstimmung';
  {$endif}

  {$ifdef ENGLISH}
  SLockingTable = 'Locking table %s';
  {$endif}
  {$ifdef GERMAN}
  SLockingTable = 'Tabelle %s sperren';
  {$endif}

  {$ifdef ENGLISH}
  SCannotMove = 'Renaming a table cannot move it. Omit directory.';
  {$endif}
  {$ifdef GERMAN}
  SCannotMove = 'Umbennen einer Tabelle kann nicht verschieben. Es kann kein Verzeichnis angegeben werden.';
  {$endif}

  {$ifdef ENGLISH}
  SRenamingTable = 'Renaming table %s';
  {$endif}
  {$ifdef GERMAN}
  SRenamingTable = 'Tabelle %s umbenennen';
  {$endif}

  {$ifdef ENGLISH}
  SMasterNotTdb = 'Master data set must be a TurboDB table.';
  {$endif}
  {$ifdef GERMAN}
  SMasterNotTdb = 'Master Datenquelle muss eine TurboDB Tabelle sein.';
  {$endif}

  {$ifdef ENGLISH}
  SDataSetCircularDataLink = 'Circular data link';
  {$endif}
  {$ifdef GERMAN}
  SDataSetCircularDataLink = 'Zirkulre Verknpfung';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableLevel = 'Valid table levels are 1 to 3.';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableLevel = 'Gltige Tabellen-Level sind 1 bis 3.';
  {$endif}

  {$ifdef ENGLISH}
  SUnlockingTable = 'Unlocking table %s';
  {$endif}
  {$ifdef GERMAN}
  SUnlockingTable = 'Tabelle %s entsperren';
  {$endif}

  {$ifdef ENGLISH}
  SFullTextTableNotAssigned = 'FullTextTable must be assigned and open to create full-text index.';
  {$endif}
  {$ifdef GERMAN}
  SFullTextTableNotAssigned = 'Um einen Volltextindex zu erstellen, muss FullTextTable zugewiesen und geffnet sein.';
  {$endif}

  {$ifdef ENGLISH}
  SUpdatingIndex = 'Updating index %s';
  {$endif}
  {$ifdef GERMAN}
  SUpdatingIndex = 'Index %s erneuern';
  {$endif}

  {$ifdef ENGLISH}
  SCreatingFullTextIndex = 'Creating full text index %s';
  {$endif}
  {$ifdef GERMAN}
  SCreatingFullTextIndex = 'Erzeugen des Volltext-Index %s';
  {$endif}

  {$ifdef ENGLISH}
  SUpdatingFTIndex = 'Updating full text index %s';
  {$endif}
  {$ifdef GERMAN}
  SUpdatingFTIndex = 'Aktualisieren des Volltext-Index %s';
  {$endif}


  //*** TdbQuery ***

  {$ifdef ENGLISH}
  SOpeningQuery = 'Opening TurboDB query';
  {$endif}
  {$ifdef GERMAN}
  SOpeningQuery = 'TurboDB Query ffnen';
  {$endif}

  {$ifdef ENGLISH}
  SEmptySQLStatement = 'The SQL statement contains no text';
  {$endif}
  {$ifdef GERMAN}
  SEmptySQLStatement = 'Der SQL-Befehl enthlt keinen Text';
  {$endif}

  {$ifdef ENGLISH}
  SPreparingQuery = 'Preparing SQL statement';
  {$endif}
  {$ifdef GERMAN}
  SPreparingQuery = 'SQL Statement vorbereiten';
  {$endif}

	{$ifdef ENGLISH}
	SQueryCircularDataLink = 'DataSource property of query %s refers to a data source that is itself linked to %s';
	{$endif}
	{$ifdef GERMAN}
	SQueryCircularDataLink = 'Die Eigenschaft DataSource der Query %s bezieht sich auf eine Datenquelle die selbst mit %s verknpft ist.';
	{$endif}

	{$ifdef ENGLISH}
	STableMismatch = 'Source and destination tables are incompatible';
	{$endif}
	{$ifdef GERMAN}
	STableMismatch = 'Quell- und Zieltabelle passen nicht zusammen';
	{$endif}


implementation


end.
